aboutsummaryrefslogtreecommitdiff
path: root/lib
diff options
context:
space:
mode:
authorJulio Capote <jcapote@gmail.com>2022-07-14 03:40:24 +0000
committerJulio Capote <jcapote@gmail.com>2022-07-14 03:40:24 +0000
commit891f946e86f8a0911f67983d52fccacc9f8ebbad (patch)
tree36b032deb891f4adf5c047b255eb0ca6da275fef /lib
downloadrecit-891f946e86f8a0911f67983d52fccacc9f8ebbad.tar.gz
initial
Diffstat (limited to 'lib')
-rw-r--r--lib/loader12
-rw-r--r--lib/recfile_template19
2 files changed, 31 insertions, 0 deletions
diff --git a/lib/loader b/lib/loader
new file mode 100644
index 0000000..9b01d2a
--- /dev/null
+++ b/lib/loader
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+function load_recit {
+ local recfile_location
+ if [[ -f "$HOME/.recit.location" ]]; then
+ recfile_location=$(cat "$HOME/.recit.location")
+ else
+ echo "$HOME/.recit.location not found"
+ exit 1
+ fi
+ echo "$recfile_location"
+} \ No newline at end of file
diff --git a/lib/recfile_template b/lib/recfile_template
new file mode 100644
index 0000000..674dc7b
--- /dev/null
+++ b/lib/recfile_template
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+function recfile_template {
+ echo "# recit schema version v0.0.1
+%rec: Project
+%key: Id
+
+Id: example-project
+Status: open
+Notes: blah blah
+
+%rec: Entry
+%key: Id
+%type: Time date
+%auto: Time
+%type: ProjectRef rec Project
+%sort: Time
+ "
+} \ No newline at end of file